GNU bug report logs - #37015
man link gives me car: Variable binding depth exceeds max-specpdl-size

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: hyperbole; Reported by: Jean Louis <bugs@HIDDEN>; dated Mon, 12 Aug 2019 22:16:01 UTC; Maintainer for hyperbole is bug-hyperbole@HIDDEN.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 19 Aug 2019 20:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 19 16:42:08 2019
Received: from localhost ([127.0.0.1]:60540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzoTg-0001g8-Iw
	for submit <at> debbugs.gnu.org; Mon, 19 Aug 2019 16:42:08 -0400
Received: from smtp.egensajt.se ([193.42.159.246]:48450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mats.lidell@HIDDEN>) id 1hzoTe-0001fm-Pn
 for 37015 <at> debbugs.gnu.org; Mon, 19 Aug 2019 16:42:07 -0400
Received: from barnacle (c83-254-104-161.bredband.comhem.se [83.254.104.161])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: mats.lidell@HIDDEN)
 by smtp.egensajt.se (Postfix) with ESMTPSA id 02DD39EB;
 Mon, 19 Aug 2019 22:42:00 +0200 (CEST)
From: Mats Lidell <mats.lidell@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: [Hyperbole-users] bug#37015: man link gives me car: Variable
 binding depth exceeds max-specpdl-size
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
 <20190818184854.GG1999@HIDDEN>
 <CA+OMD9gOF8Xk53Oke6+F672+3wcPcw-5NTc7ap8TuWf5DLahJA@HIDDEN>
 <20190818225842.GI29422@HIDDEN>
Date: Mon, 19 Aug 2019 22:42:00 +0200
In-Reply-To: <20190818225842.GI29422@HIDDEN> (Jean Louis's
 message of "Mon, 19 Aug 2019 00:58:42 +0200")
Message-ID: <875zmskhuv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37015
Cc: rswgnu@HIDDEN, hyperbole-users <hyperbole-users@HIDDEN>,
 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Jean Louis writes:
> I do not get any debug on error when it is turned on when I activate
> the explicit button, but I get that error again.

Sorry for late answer but I did not have the time to test this until now. I can confirm the behavior you are seeing with 'man-show'. I get it both when running with -Q and when running from the latest development version of hyperbole. I will try to dig into this problem.

> I cannot know what is wrong. I am using that development version of
> Emacs, maybe there something.

Yes, it seems that you don't get into the debugger that easily when you get into this loop. So just setting debug-on-error does not work.

Yours
-- 
%% Mats




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 18 Aug 2019 22:58:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 18:58:55 2019
Received: from localhost ([127.0.0.1]:58908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzU8V-0008WE-4u
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 18:58:55 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:48389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hzU8Q-0008Vr-Jh
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 18:58:53 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.237])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000220EF.000000005D59D824.000022FA; Sun, 18 Aug 2019 15:58:44 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C9452.000000005D59D822.00005F31; Mon, 19 Aug 2019 00:58:42 +0200
Date: Mon, 19 Aug 2019 00:58:42 +0200
From: Jean Louis <bugs@HIDDEN>
To: rswgnu@HIDDEN
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
Message-ID: <20190818225842.GI29422@HIDDEN>
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
 <20190818184854.GG1999@HIDDEN>
 <CA+OMD9gOF8Xk53Oke6+F672+3wcPcw-5NTc7ap8TuWf5DLahJA@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <CA+OMD9gOF8Xk53Oke6+F672+3wcPcw-5NTc7ap8TuWf5DLahJA@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37015
Cc: hyperbole-users <hyperbole-users@HIDDEN>, 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Robert Weiner <rsw@HIDDEN> [2019-08-19 00:07]:
> On Sun, Aug 18, 2019 at 2:48 PM Jean Louis <bugs@HIDDEN> wrote:
> 
> > * Robert Weiner <rsw@HIDDEN> [2019-08-18 19:30]:
> > > On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
> > >
> > > > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > > > toolkit, Xaw3d scroll bars)
> > > >
> > > >         Hyperbole:   7.0.3a
> > > >         Sys Type:    x86_64-pc-linux-gnu
> > > >         OS Type:     gnu/linux
> > > >         Window Sys:  x
> > > >         News Reader: Gnus v5.13
> > > >
> > > > Making completion list...
> > > > <(Read)> executes (man-show grep)
> > > >
> > >
> > > I created this exact explicit button in my HYPB global button file,
> > didn't
> > > even save the file, activated the button and it displayed the man page
> > > perfectly (Hyperbole 7.0.3b under MacOS).
> >
> > Just look at this video:
> > https://gnu.support/files/tmp/2019-08-18/2019-08-18-20:39:26.ogv
> 
> 
> I watched it.  That was helpful.  'emacs -Q' still runs your personal init
> file and just suppresses loading the site init.  Try 'emacs -q' and
> manually load hload-path.el and hyperbole.el from the ${hyperb:dir}
> main Hyperbole directory and then see what happens.

I can guarantee that emacs -Q does not run my personal init file.

And I have tried it now with emacs -q and exactly with your settings,
I get the same result, same problem.

For reference:

--no-init-file, -q          load neither ~/.emacs nor default.el

--quick, -Q                 equivalent to:
                              -q --no-site-file --no-site-lisp --no-splash
                              --no-x-resources

Thus -Q is equal to -q with even less stuff. Both will not load user's
init file.

> Make sure you have debug-on-error set to t in case you can get a stack
> backtrace generated.

I do not get any debug on error when it is turned on when I activate
the explicit button, but I get that error again.

I cannot know what is wrong. I am using that development version of
Emacs, maybe there something.

Jean




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 18 Aug 2019 22:06:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 18:06:42 2019
Received: from localhost ([127.0.0.1]:58866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzTJy-0005BO-Ct
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 18:06:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1hzTJx-0005BD-CA
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 18:06:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38948)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rsw@HIDDEN>)
 id 1hzTJr-0007j8-Mw
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 18:06:35 -0400
Received: from mail-lf1-f53.google.com ([209.85.167.53]:40390)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1hzTJr-0000kM-4r
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 18:06:35 -0400
Received: by mail-lf1-f53.google.com with SMTP id b17so7521435lff.7
 for <37015 <at> debbugs.gnu.org>; Sun, 18 Aug 2019 15:06:35 -0700 (PDT)
X-Gm-Message-State: APjAAAXCmUkAbVBlk2NuoelK4qA/hAKQZ00YLZPp7BxZpSIb8nOdfPrH
 ObDkDABz/Z1DZmXlpPH5+m4bXaunww5/JmLNeA4=
X-Google-Smtp-Source: APXvYqym/UABHnneudPEfXstl7Eifjqza7c8ga82ZlH0mXvlUp/LToTi573hjnA+PuNoCvzxRJQRuN3ND5LAJRVsqic=
X-Received: by 2002:a19:f603:: with SMTP id x3mr9439117lfe.125.1566165993714; 
 Sun, 18 Aug 2019 15:06:33 -0700 (PDT)
MIME-Version: 1.0
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
 <20190818184854.GG1999@HIDDEN>
In-Reply-To: <20190818184854.GG1999@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Sun, 18 Aug 2019 18:06:07 -0400
X-Gmail-Original-Message-ID: <CA+OMD9gOF8Xk53Oke6+F672+3wcPcw-5NTc7ap8TuWf5DLahJA@HIDDEN>
Message-ID: <CA+OMD9gOF8Xk53Oke6+F672+3wcPcw-5NTc7ap8TuWf5DLahJA@HIDDEN>
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000b6fa1005906b6ffc"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 37015
Cc: hyperbole-users <hyperbole-users@HIDDEN>, 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000b6fa1005906b6ffc
Content-Type: text/plain; charset="UTF-8"

On Sun, Aug 18, 2019 at 2:48 PM Jean Louis <bugs@HIDDEN> wrote:

> * Robert Weiner <rsw@HIDDEN> [2019-08-18 19:30]:
> > On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
> >
> > > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > > toolkit, Xaw3d scroll bars)
> > >
> > >         Hyperbole:   7.0.3a
> > >         Sys Type:    x86_64-pc-linux-gnu
> > >         OS Type:     gnu/linux
> > >         Window Sys:  x
> > >         News Reader: Gnus v5.13
> > >
> > > Making completion list...
> > > <(Read)> executes (man-show grep)
> > >
> >
> > I created this exact explicit button in my HYPB global button file,
> didn't
> > even save the file, activated the button and it displayed the man page
> > perfectly (Hyperbole 7.0.3b under MacOS).
>
> Just look at this video:
> https://gnu.support/files/tmp/2019-08-18/2019-08-18-20:39:26.ogv


I watched it.  That was helpful.  'emacs -Q' still runs your personal init
file and just suppresses loading the site init.  Try 'emacs -q' and
manually load "hload-path.el" and "hyperbole.el" from the ${hyperb:dir}
main Hyperbole directory and then see what happens.


>
> > I think this problem is outside of Hyperbole.  I will close this issue
> > unless you point to any code reference within Hyperbole that causes such
> a
> > problem.
>
> You can surely, close, that is your decision.
>
> Yet that gives me impression of your viewpoint that if you do not see
> the bug, that it does not exist. It does not really encourage me to
> report new bugs. So I get the impression that you are closing bugs for
> sake to have "Bugs closed". Sounds strange, maybe I do not understand
> something.
>

No, I am actually spending a fair bit of time reviewing your reports and
fixing any errors I find as a result, so don't feel that way.  But we do
want to close bug reports when possible rather than leave them out there
forever and if we can't replicate them after reasonable attempts, we will
have to assume that they are not caused by Hyperbole but are caused by
something else loaded into Emacs.

Again, with 'emacs -q', I cannot replicate this problem.

Make sure you have debug-on-error set to t in case you can get a stack
backtrace generated.

>
> > FYI, if you use {C-h h c d} to turn on debug logging for Hyperbole
> buttons,
> > then activate one or more buttons and then compose a Hyperbole list mail
> > message with {C-h h m c}, a log of the buttons and actions that you ran
> > will be included with your but/issue report.  {C-h h c d} will then
> toggle
> > this feature off.
>
> I will do this now again. Look at the video above.
>

Thanks,

Bob

>
> Jean
>

--000000000000b6fa1005906b6ffc
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:monospace,monospace"><span style=3D"font-family:Arial,Helvetica,sa=
ns-serif">On Sun, Aug 18, 2019 at 2:48 PM Jean Louis &lt;bugs@HIDDEN&g=
t; wrote:</span><br></div></div><div class=3D"gmail_quote"><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid r=
gb(204,204,204);padding-left:1ex">* Robert Weiner &lt;<a href=3D"mailto:rsw=
@gnu.org" target=3D"_blank">rsw@HIDDEN</a>&gt; [2019-08-18 19:30]:<br>
&gt; On Mon, Aug 12, 2019 at 6:16 PM Jean Louis &lt;bugs@HIDDEN&gt; wr=
ote:<br>
&gt; <br>
&gt; &gt; I use:=C2=A0 Editor:=C2=A0 =C2=A0 =C2=A0 GNU Emacs 27.0.50 (build=
 3, x86_64-pc-linux-gnu, X<br>
&gt; &gt; toolkit, Xaw3d scroll bars)<br>
&gt; &gt;<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Hyperbole:=C2=A0 =C2=A07.0.3a<br=
>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Sys Type:=C2=A0 =C2=A0 x86_64-pc=
-linux-gnu<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0OS Type:=C2=A0 =C2=A0 =C2=A0gnu/=
linux<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Window Sys:=C2=A0 x<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0News Reader: Gnus v5.13<br>
&gt; &gt;<br>
&gt; &gt; Making completion list...<br>
&gt; &gt; &lt;(Read)&gt; executes (man-show grep)<br>
&gt; &gt;<br>
&gt; <br>
&gt; I created this exact explicit button in my HYPB global button file, di=
dn&#39;t<br>
&gt; even save the file, activated the button and it displayed the man page=
<br>
&gt; perfectly (Hyperbole 7.0.3b under MacOS).<br>
<br>
Just look at this video:<br>
<a href=3D"https://gnu.support/files/tmp/2019-08-18/2019-08-18-20:39:26.ogv=
" rel=3D"noreferrer" target=3D"_blank">https://gnu.support/files/tmp/2019-0=
8-18/2019-08-18-20:39:26.ogv</a></blockquote><div><br></div><div class=3D"g=
mail_default" style=3D"font-family:monospace,monospace">I watched it.=C2=A0=
 That was helpful.=C2=A0 &#39;emacs -Q&#39; still runs your personal init f=
ile and just suppresses loading the site init.=C2=A0 Try &#39;emacs -q&#39;=
 and manually load &quot;hload-path.el&quot; and &quot;hyperbole.el&quot; f=
rom the ${hyperb:dir} main Hyperbole directory and then see what happens.</=
div><div class=3D"gmail_default" style=3D"font-family:monospace,monospace">=
<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8=
ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><br>
<br>
&gt; I think this problem is outside of Hyperbole.=C2=A0 I will close this =
issue<br>
&gt; unless you point to any code reference within Hyperbole that causes su=
ch a<br>
&gt; problem.<br>
<br>
You can surely, close, that is your decision. <br>
<br>
Yet that gives me impression of your viewpoint that if you do not see<br>
the bug, that it does not exist. It does not really encourage me to<br>
report new bugs. So I get the impression that you are closing bugs for<br>
sake to have &quot;Bugs closed&quot;. Sounds strange, maybe I do not unders=
tand<br>
something.<br></blockquote><div><br></div><div class=3D"gmail_default" styl=
e=3D"font-family:monospace,monospace">No, I am actually spending a fair bit=
 of time reviewing your reports and fixing any errors I find as a result, s=
o don&#39;t feel that way.=C2=A0 But we do want to close bug reports when p=
ossible rather than leave them out there forever and if we can&#39;t replic=
ate them after reasonable attempts, we will have to assume that they are no=
t caused by Hyperbole but are caused by something else loaded into Emacs.</=
div><div class=3D"gmail_default" style=3D"font-family:monospace,monospace">=
<br></div><div class=3D"gmail_default" style=3D"font-family:monospace,monos=
pace">Again, with &#39;emacs -q&#39;, I cannot replicate this problem.</div=
><div class=3D"gmail_default" style=3D"font-family:monospace,monospace"><br=
></div><div class=3D"gmail_default" style=3D"font-family:monospace,monospac=
e">Make sure you have debug-on-error set to t in case you can get a stack b=
acktrace generated.</div><div class=3D"gmail_default" style=3D"font-family:=
monospace,monospace"></div><blockquote class=3D"gmail_quote" style=3D"margi=
n:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex=
">
<br>
&gt; FYI, if you use {C-h h c d} to turn on debug logging for Hyperbole but=
tons,<br>
&gt; then activate one or more buttons and then compose a Hyperbole list ma=
il<br>
&gt; message with {C-h h m c}, a log of the buttons and actions that you ra=
n<br>
&gt; will be included with your but/issue report.=C2=A0 {C-h h c d} will th=
en toggle<br>
&gt; this feature off.<br>
<br>
I will do this now again. Look at the video above.<br></blockquote><div><br=
></div><div class=3D"gmail_default" style=3D"font-family:monospace,monospac=
e">Thanks,</div><div class=3D"gmail_default" style=3D"font-family:monospace=
,monospace"><br></div><div class=3D"gmail_default" style=3D"font-family:mon=
ospace,monospace">Bob</div><div class=3D"gmail_default" style=3D"font-famil=
y:monospace,monospace"></div><blockquote class=3D"gmail_quote" style=3D"mar=
gin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1=
ex">
<br>
Jean<br>
</blockquote></div></div>

--000000000000b6fa1005906b6ffc--




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 18 Aug 2019 19:02:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 15:02:32 2019
Received: from localhost ([127.0.0.1]:58661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzQRj-0000D8-O8
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 15:02:32 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:40787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hzQRh-0000Cv-Ms
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 15:02:30 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.237])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000220E6.000000005D59A0C0.000010E4; Sun, 18 Aug 2019 12:02:23 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C9452.000000005D59A0BE.000071DB; Sun, 18 Aug 2019 21:02:22 +0200
Date: Sun, 18 Aug 2019 21:02:22 +0200
From: Jean Louis <bugs@HIDDEN>
To: rswgnu@HIDDEN
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
Message-ID: <20190818190222.GJ1999@HIDDEN>
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
 <20190813075026.GB23129@HIDDEN>
 <CA+OMD9hnp3UU=NqudGZ+apXjYnntGV_X50=OxHAh1Qq7rmxN8w@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <CA+OMD9hnp3UU=NqudGZ+apXjYnntGV_X50=OxHAh1Qq7rmxN8w@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37015
Cc: hyperbole-users <hyperbole-users@HIDDEN>, 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Robert Weiner <rsw@HIDDEN> [2019-08-18 19:35]:
> On Tue, Aug 13, 2019 at 3:50 AM Jean Louis <bugs@HIDDEN> wrote:
> 
> > * Robert Weiner <rsw@HIDDEN> [2019-08-13 04:12]:
> > > On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
> > >
> > > > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > > > toolkit, Xaw3d scroll bars)
> > > >
> > > >         Hyperbole:   7.0.3a
> > > >         Sys Type:    x86_64-pc-linux-gnu
> > > >         OS Type:     gnu/linux
> > > >         Window Sys:  x
> > > >         News Reader: Gnus v5.13
> > > >
> > > > <(Read)> executes (man-show grep)
> > > >
> > >
> > > Where is man-show defined.  I don't have it in Emacs 26.  Using the same
> > > Emacs version as you but under MacOS.
> >
> > It is in Hyperbola 7.0.3 I guess, also 7.0.3a I guess only, as I
> > removed 7.0.3a for a while, will get it later again.
> >
> > (defact man-show (topic)
> >   Displays man page on TOPIC, which may be of the form
> > <command>(<section>).
> > If using the Superman manual entry package, see the documentation for
> > `sm-notify' to control where the man page is displayed.
> >   (interactive sManual topic: )
> >   (let ((display-buffer-function
> >          (lambda (buffer &rest unused) (hpath:display-buffer buffer))))
> >     (manual-entry topic)))
> >
> > > Invoking man grep in the background
> > > > if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
> > > > unspecified-bg
> > > > Unable to load color unspecified-fg
> > > > car: Variable binding depth exceeds max-specpdl-size
> > > > next-line: End of buffer
> > > >
> > > > Seems like you have loaded something outside of Hyperbole that has
> > caused
> > > an infinite loop, maybe improperly overloading a standard man function.
> > >
> > > Try starting with no initializations and then loading Hyperbole manually.
> >
> > I have tried with emacs -Q on version 7.0.3 and I get the same. I do
> > not load nothing else but (package-initialize) and (require
> > 'hyperbole)
> >
> > For information about GNU Emacs and the GNU system, type C-h C-a.
> > C-x C-g is undefined
> > nil
> > Initializing Hyperbole...done
> > Hyperbole 7.0.3 is ready for action.
> > hyperbole
> > (New file) [2 times]
> > <(Read manual)> executes (man-show mc)
> > Saving file /home/data1/protected/new1.text...
> > Saving file /home/data1/protected/.hypb...
> > Wrote /home/data1/protected/.hypb
> > Wrote /home/data1/protected/new1.text
> >
>
> None of the above saving should be happening when you invoke this explicit
> button, so you have something else that is triggering I would think.
> 
> > Waiting for git... [2 times]
> >
> 
> Why is git involved?  Hyperbole does not invoke that.
> 
> > Invoking man mc in the background
> > switch-to-buffer-other-window: Variable binding depth exceeds
> > max-specpdl-size
> >
> 
> What happens if you call (manual-entry grep) without loading Hyperbole?
> Does it work or fail?

It works of course.

Those messages shown and git is not related to hyperbole. I gave you
today that video, with emacs -Q, you may observe it, the link to man
page is not working.

Jean




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 18 Aug 2019 18:51:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 14:51:28 2019
Received: from localhost ([127.0.0.1]:58653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzQH1-0008Nx-N0
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 14:51:28 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:46297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hzQH0-0008Nk-Em
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 14:51:26 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.237])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000220F1.000000005D599E28.00000FC1; Sun, 18 Aug 2019 11:51:20 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C9452.000000005D599E27.00007070; Sun, 18 Aug 2019 20:51:19 +0200
Date: Sun, 18 Aug 2019 20:51:19 +0200
From: Jean Louis <bugs@HIDDEN>
To: rswgnu@HIDDEN
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
Message-ID: <20190818185118.GH1999@HIDDEN>
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37015
Cc: hyperbole-users <hyperbole-users@HIDDEN>, 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Robert Weiner <rsw@HIDDEN> [2019-08-18 19:30]:
> FYI, if you use {C-h h c d} to turn on debug logging for Hyperbole buttons,
> then activate one or more buttons and then compose a Hyperbole list mail
> message with {C-h h m c}, a log of the buttons and actions that you ran
> will be included with your but/issue report.  {C-h h c d} will then toggle
> this feature off.

I have done that, here is below what I get from there.

I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)

        Hyperbole:   7.0.3
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x

(HyDebug) ButType: explicit; ButLabel: man for man; Context: (hbut:at-p); Action: (hui:hbut-act ’hbut:current); Buf: new1.txt; Mode: text-mode; MinibufDepth: 0
(HyDebug) ButType: explicit; ButLabel: man for man; Context: (hbut:at-p); Action: (hui:hbut-act ’hbut:current); Buf: new1.txt; Mode: text-mode; MinibufDepth: 0
pop-to-buffer: Variable binding depth exceeds max-specpdl-size-- 

Thanks,
Jean Louis




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 18 Aug 2019 18:49:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 14:49:04 2019
Received: from localhost ([127.0.0.1]:58649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzQEi-0008KF-7J
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 14:49:04 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:58517)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hzQEg-0008Jl-PU
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 14:49:03 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.237])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000220F1.000000005D599D98.00000F63; Sun, 18 Aug 2019 11:48:56 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C9452.000000005D599D97.00006FEB; Sun, 18 Aug 2019 20:48:55 +0200
Date: Sun, 18 Aug 2019 20:48:55 +0200
From: Jean Louis <bugs@HIDDEN>
To: rswgnu@HIDDEN
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
Message-ID: <20190818184854.GG1999@HIDDEN>
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37015
Cc: hyperbole-users <hyperbole-users@HIDDEN>, 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Robert Weiner <rsw@HIDDEN> [2019-08-18 19:30]:
> On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
> 
> > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > toolkit, Xaw3d scroll bars)
> >
> >         Hyperbole:   7.0.3a
> >         Sys Type:    x86_64-pc-linux-gnu
> >         OS Type:     gnu/linux
> >         Window Sys:  x
> >         News Reader: Gnus v5.13
> >
> > Making completion list...
> > <(Read)> executes (man-show grep)
> >
> 
> I created this exact explicit button in my HYPB global button file, didn't
> even save the file, activated the button and it displayed the man page
> perfectly (Hyperbole 7.0.3b under MacOS).

Just look at this video:
https://gnu.support/files/tmp/2019-08-18/2019-08-18-20:39:26.ogv

> I think this problem is outside of Hyperbole.  I will close this issue
> unless you point to any code reference within Hyperbole that causes such a
> problem.

You can surely, close, that is your decision. 

Yet that gives me impression of your viewpoint that if you do not see
the bug, that it does not exist. It does not really encourage me to
report new bugs. So I get the impression that you are closing bugs for
sake to have "Bugs closed". Sounds strange, maybe I do not understand
something.

> FYI, if you use {C-h h c d} to turn on debug logging for Hyperbole buttons,
> then activate one or more buttons and then compose a Hyperbole list mail
> message with {C-h h m c}, a log of the buttons and actions that you ran
> will be included with your but/issue report.  {C-h h c d} will then toggle
> this feature off.

I will do this now again. Look at the video above.

Jean




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 18 Aug 2019 17:35:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 13:35:10 2019
Received: from localhost ([127.0.0.1]:58549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzP5B-00042z-6v
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:35:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32893)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1hzP59-00042j-8u
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:35:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34348)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rsw@HIDDEN>)
 id 1hzP54-0004B6-2s
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:35:02 -0400
Received: from mail-lj1-f179.google.com ([209.85.208.179]:43405)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1hzP53-0001FJ-36
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:35:01 -0400
Received: by mail-lj1-f179.google.com with SMTP id h15so9406431ljg.10
 for <37015 <at> debbugs.gnu.org>; Sun, 18 Aug 2019 10:35:01 -0700 (PDT)
X-Gm-Message-State: APjAAAWKpsuTPGVK8SPzEA1PoV8JheBsUr3Aw24HO+M4t3LDzLWeu56z
 zOshBnR4RRMgtOmgc8S5Oqvx4Qoan6r7ONOSlPM=
X-Google-Smtp-Source: APXvYqzwuRXzi+vM8A8hpe/I18rWecIaUaOhF8lvJDu09+TICsYgCY7mcEuRTb4WHwSuHlLbtgh2FXFrE0xzpxBvVLk=
X-Received: by 2002:a2e:9417:: with SMTP id i23mr9955318ljh.12.1566149699956; 
 Sun, 18 Aug 2019 10:34:59 -0700 (PDT)
MIME-Version: 1.0
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
 <20190813075026.GB23129@HIDDEN>
In-Reply-To: <20190813075026.GB23129@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Sun, 18 Aug 2019 13:34:33 -0400
X-Gmail-Original-Message-ID: <CA+OMD9hnp3UU=NqudGZ+apXjYnntGV_X50=OxHAh1Qq7rmxN8w@HIDDEN>
Message-ID: <CA+OMD9hnp3UU=NqudGZ+apXjYnntGV_X50=OxHAh1Qq7rmxN8w@HIDDEN>
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000087f42f059067a4bc"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 37015
Cc: hyperbole-users <hyperbole-users@HIDDEN>, 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--00000000000087f42f059067a4bc
Content-Type: text/plain; charset="UTF-8"

On Tue, Aug 13, 2019 at 3:50 AM Jean Louis <bugs@HIDDEN> wrote:

> * Robert Weiner <rsw@HIDDEN> [2019-08-13 04:12]:
> > On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
> >
> > > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > > toolkit, Xaw3d scroll bars)
> > >
> > >         Hyperbole:   7.0.3a
> > >         Sys Type:    x86_64-pc-linux-gnu
> > >         OS Type:     gnu/linux
> > >         Window Sys:  x
> > >         News Reader: Gnus v5.13
> > >
> > > <(Read)> executes (man-show grep)
> > >
> >
> > Where is man-show defined.  I don't have it in Emacs 26.  Using the same
> > Emacs version as you but under MacOS.
>
> It is in Hyperbola 7.0.3 I guess, also 7.0.3a I guess only, as I
> removed 7.0.3a for a while, will get it later again.
>
> (defact man-show (topic)
>   "Displays man page on TOPIC, which may be of the form
> <command>(<section>).
> If using the Superman manual entry package, see the documentation for
> `sm-notify' to control where the man page is displayed."
>   (interactive "sManual topic: ")
>   (let ((display-buffer-function
>          (lambda (buffer &rest unused) (hpath:display-buffer buffer))))
>     (manual-entry topic)))
>
> > Invoking man grep in the background
> > > if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
> > > unspecified-bg
> > > Unable to load color unspecified-fg
> > > car: Variable binding depth exceeds max-specpdl-size
> > > next-line: End of buffer
> > >
> > > Seems like you have loaded something outside of Hyperbole that has
> caused
> > an infinite loop, maybe improperly overloading a standard man function.
> >
> > Try starting with no initializations and then loading Hyperbole manually.
>
> I have tried with emacs -Q on version 7.0.3 and I get the same. I do
> not load nothing else but (package-initialize) and (require
> 'hyperbole)
>
> For information about GNU Emacs and the GNU system, type C-h C-a.
> C-x C-g is undefined
> nil
> Initializing Hyperbole...done
> Hyperbole 7.0.3 is ready for action.
> hyperbole
> (New file) [2 times]
> <(Read manual)> executes (man-show "mc")
> Saving file /home/data1/protected/new1.text...
> Saving file /home/data1/protected/.hypb...
> Wrote /home/data1/protected/.hypb
> Wrote /home/data1/protected/new1.text
>

None of the above saving should be happening when you invoke this explicit
button, so you have something else that is triggering I would think.

> Waiting for git... [2 times]
>

Why is git involved?  Hyperbole does not invoke that.

> Invoking man mc in the background
> switch-to-buffer-other-window: Variable binding depth exceeds
> max-specpdl-size
>

What happens if you call (manual-entry "grep") without loading Hyperbole?
Does it work or fail?

Bob

--00000000000087f42f059067a4bc
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:monospace,monospace"><span style=3D"font-family:Arial,Helvetica,sa=
ns-serif">On Tue, Aug 13, 2019 at 3:50 AM Jean Louis &lt;bugs@HIDDEN&g=
t; wrote:</span><br></div></div><div class=3D"gmail_quote"><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid r=
gb(204,204,204);padding-left:1ex">* Robert Weiner &lt;<a href=3D"mailto:rsw=
@gnu.org" target=3D"_blank">rsw@HIDDEN</a>&gt; [2019-08-13 04:12]:<br>
&gt; On Mon, Aug 12, 2019 at 6:16 PM Jean Louis &lt;bugs@HIDDEN&gt; wr=
ote:<br>
&gt; <br>
&gt; &gt; I use:=C2=A0 Editor:=C2=A0 =C2=A0 =C2=A0 GNU Emacs 27.0.50 (build=
 3, x86_64-pc-linux-gnu, X<br>
&gt; &gt; toolkit, Xaw3d scroll bars)<br>
&gt; &gt;<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Hyperbole:=C2=A0 =C2=A07.0.3a<br=
>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Sys Type:=C2=A0 =C2=A0 x86_64-pc=
-linux-gnu<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0OS Type:=C2=A0 =C2=A0 =C2=A0gnu/=
linux<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0Window Sys:=C2=A0 x<br>
&gt; &gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0News Reader: Gnus v5.13<br>
&gt; &gt;<br>
&gt; &gt; &lt;(Read)&gt; executes (man-show grep)<br>
&gt; &gt;<br>
&gt; <br>
&gt; Where is man-show defined.=C2=A0 I don&#39;t have it in Emacs 26.=C2=
=A0 Using the same<br>
&gt; Emacs version as you but under MacOS.<br>
<br>
It is in Hyperbola 7.0.3 I guess, also 7.0.3a I guess only, as I<br>
removed 7.0.3a for a while, will get it later again.<br>
<br>
(defact man-show (topic)<br>
=C2=A0 &quot;Displays man page on TOPIC, which may be of the form &lt;comma=
nd&gt;(&lt;section&gt;).<br>
If using the Superman manual entry package, see the documentation for<br>
`sm-notify&#39; to control where the man page is displayed.&quot;<br>
=C2=A0 (interactive &quot;sManual topic: &quot;)<br>
=C2=A0 (let ((display-buffer-function<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(lambda (buffer &amp;rest unused) (hpath:=
display-buffer buffer))))<br>
=C2=A0 =C2=A0 (manual-entry topic)))<br>
<br>
&gt; Invoking man grep in the background<br>
&gt; &gt; if: Variable binding depth exceeds max-specpdl-sizeUnable to load=
 color<br>
&gt; &gt; unspecified-bg<br>
&gt; &gt; Unable to load color unspecified-fg<br>
&gt; &gt; car: Variable binding depth exceeds max-specpdl-size<br>
&gt; &gt; next-line: End of buffer<br>
&gt; &gt;<br>
&gt; &gt; Seems like you have loaded something outside of Hyperbole that ha=
s caused<br>
&gt; an infinite loop, maybe improperly overloading a standard man function=
.<br>
&gt; <br>
&gt; Try starting with no initializations and then loading Hyperbole manual=
ly.<br>
<br>
I have tried with emacs -Q on version 7.0.3 and I get the same. I do<br>
not load nothing else but (package-initialize) and (require<br>
&#39;hyperbole)<br>
<br>
For information about GNU Emacs and the GNU system, type C-h C-a.<br>
C-x C-g is undefined<br>
nil<br>
Initializing Hyperbole...done<br>
Hyperbole 7.0.3 is ready for action.<br>
hyperbole<br>
(New file) [2 times]<br>
&lt;(Read manual)&gt; executes (man-show &quot;mc&quot;)<br>
Saving file /home/data1/protected/new1.text...<br>
Saving file /home/data1/protected/.hypb...<br>
Wrote /home/data1/protected/.hypb<br>
Wrote /home/data1/protected/new1.text<br></blockquote><div><br></div><div c=
lass=3D"gmail_default" style=3D"font-family:monospace,monospace">None of th=
e above saving should be happening when you invoke this explicit button, so=
 you have something else that is triggering I would think.</div><div class=
=3D"gmail_default" style=3D"font-family:monospace,monospace"></div><blockqu=
ote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px=
 solid rgb(204,204,204);padding-left:1ex">
Waiting for git... [2 times]<br></blockquote><div><br></div><div class=3D"g=
mail_default" style=3D"font-family:monospace,monospace">Why is git involved=
?=C2=A0 Hyperbole does not invoke that.</div><div class=3D"gmail_default" s=
tyle=3D"font-family:monospace,monospace"></div><blockquote class=3D"gmail_q=
uote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,2=
04);padding-left:1ex">
Invoking man mc in the background<br>
switch-to-buffer-other-window: Variable binding depth exceeds max-specpdl-s=
ize<br></blockquote><div><br></div><div class=3D"gmail_default" style=3D"fo=
nt-family:monospace,monospace">What happens if you call (manual-entry &quot=
;grep&quot;) without loading Hyperbole?=C2=A0 Does it work or fail?</div><d=
iv class=3D"gmail_default" style=3D"font-family:monospace,monospace"><br></=
div><div class=3D"gmail_default" style=3D"font-family:monospace,monospace">=
Bob</div><div class=3D"gmail_default" style=3D"font-family:monospace,monosp=
ace"></div></div></div>

--00000000000087f42f059067a4bc--




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 18 Aug 2019 17:30:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 13:30:31 2019
Received: from localhost ([127.0.0.1]:58545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzP0h-0002I3-Dx
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:30:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1hzP0d-00029O-I8
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:30:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34282)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rsw@HIDDEN>)
 id 1hzP0Y-0008PC-6f
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:30:22 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:39994)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1hzP0X-0000Wi-2g
 for 37015 <at> debbugs.gnu.org; Sun, 18 Aug 2019 13:30:21 -0400
Received: by mail-lj1-f169.google.com with SMTP id e27so9410057ljb.7
 for <37015 <at> debbugs.gnu.org>; Sun, 18 Aug 2019 10:30:21 -0700 (PDT)
X-Gm-Message-State: APjAAAWIIJTAdNLCoEWRdsSMvVxBhMJY7+a/vhiOo0hSfagSo2taWCgT
 Og796qWBstWbhlZF3DIeU67Qdld5ZjuBjE/rMe8=
X-Google-Smtp-Source: APXvYqzmjlJP/EPJc2eFn5u1zJROYXv371Xx9r4m8wNJo5WXNZegvbbZ+tX4vYHOzpXBvO2/RwhaQXsxJOTF9d34WhE=
X-Received: by 2002:a2e:92c6:: with SMTP id k6mr10819106ljh.148.1566149419813; 
 Sun, 18 Aug 2019 10:30:19 -0700 (PDT)
MIME-Version: 1.0
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
In-Reply-To: <courier.000000005D51E4F3.00001C05@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Sun, 18 Aug 2019 13:29:53 -0400
X-Gmail-Original-Message-ID: <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
Message-ID: <CA+OMD9itDWBiMJPMJ=ZNpVAed4JA9ahjwJkzct4CVTjK_uhjog@HIDDEN>
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d54e3a059067935c"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 37015
Cc: hyperbole-users <hyperbole-users@HIDDEN>, 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000d54e3a059067935c
Content-Type: text/plain; charset="UTF-8"

On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:

> I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> toolkit, Xaw3d scroll bars)
>
>         Hyperbole:   7.0.3a
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
> Making completion list...
> <(Read)> executes (man-show "grep")
>

I created this exact explicit button in my HYPB global button file, didn't
even save the file, activated the button and it displayed the man page
perfectly (Hyperbole 7.0.3b under MacOS).

> Invoking man grep in the background
> if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
> "unspecified-bg"
> Unable to load color "unspecified-fg"
>

It looks like you have some personal color settings that are not
recognized, maybe associated with your man page display package.

> car: Variable binding depth exceeds max-specpdl-size
> next-line: End of buffer
>

I think this problem is outside of Hyperbole.  I will close this issue
unless you point to any code reference within Hyperbole that causes such a
problem.

FYI, if you use {C-h h c d} to turn on debug logging for Hyperbole buttons,
then activate one or more buttons and then compose a Hyperbole list mail
message with {C-h h m c}, a log of the buttons and actions that you ran
will be included with your but/issue report.  {C-h h c d} will then toggle
this feature off.

Bob

--000000000000d54e3a059067935c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:monospace,monospace"><span style=3D"font-family:Arial,Helvetica,sa=
ns-serif">On Mon, Aug 12, 2019 at 6:16 PM Jean Louis &lt;bugs@HIDDEN&g=
t; wrote:</span><br></div></div><div class=3D"gmail_quote"><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid r=
gb(204,204,204);padding-left:1ex">I use:=C2=A0 Editor:=C2=A0 =C2=A0 =C2=A0 =
GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll ba=
rs)<br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Hyperbole:=C2=A0 =C2=A07.0.3a<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Sys Type:=C2=A0 =C2=A0 x86_64-pc-linux-gnu<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 OS Type:=C2=A0 =C2=A0 =C2=A0gnu/linux<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Window Sys:=C2=A0 x<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 News Reader: Gnus v5.13<br>
<br>
Making completion list...<br>
&lt;(Read)&gt; executes (man-show &quot;grep&quot;)<br></blockquote><div><b=
r></div><div class=3D"gmail_default" style=3D"font-family:monospace,monospa=
ce">I created this exact explicit button in my HYPB global button file, did=
n&#39;t even save the file, activated the button and it displayed the man p=
age perfectly (Hyperbole 7.0.3b under MacOS).</div><div class=3D"gmail_defa=
ult" style=3D"font-family:monospace,monospace"></div><blockquote class=3D"g=
mail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204=
,204,204);padding-left:1ex">
Invoking man grep in the background<br>
if: Variable binding depth exceeds max-specpdl-sizeUnable to load color &qu=
ot;unspecified-bg&quot;<br>
Unable to load color &quot;unspecified-fg&quot;<br></blockquote><div><br></=
div><div class=3D"gmail_default" style=3D"font-family:monospace,monospace">=
It looks like you have some personal color settings that are not recognized=
, maybe associated with your man page display package.</div><div class=3D"g=
mail_default" style=3D"font-family:monospace,monospace"></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px soli=
d rgb(204,204,204);padding-left:1ex">
car: Variable binding depth exceeds max-specpdl-size<br>
next-line: End of buffer<br></blockquote><div><br></div><div class=3D"gmail=
_default" style=3D"font-family:monospace,monospace">I think this problem is=
 outside of Hyperbole.=C2=A0 I will close this issue unless you point to an=
y code reference within Hyperbole that causes such a problem.</div><div cla=
ss=3D"gmail_default" style=3D"font-family:monospace,monospace"><br></div><d=
iv class=3D"gmail_default" style=3D"font-family:monospace,monospace">FYI, i=
f you use {C-h h c d} to turn on debug logging for Hyperbole buttons, then =
activate one or more buttons and then compose a Hyperbole list mail message=
 with {C-h h m c}, a log of the buttons and actions that you ran will be in=
cluded with your but/issue report.=C2=A0 {C-h h c d} will then toggle this =
feature off.</div><div class=3D"gmail_default" style=3D"font-family:monospa=
ce,monospace"><br></div><div class=3D"gmail_default" style=3D"font-family:m=
onospace,monospace">Bob</div><div class=3D"gmail_default" style=3D"font-fam=
ily:monospace,monospace"></div></div></div>

--000000000000d54e3a059067935c--




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 13 Aug 2019 11:05:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 13 07:05:36 2019
Received: from localhost ([127.0.0.1]:47745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxUcS-0008Jf-5w
	for submit <at> debbugs.gnu.org; Tue, 13 Aug 2019 07:05:36 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:32863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rswgnu@HIDDEN>) id 1hxUcO-0008JQ-Sg
 for 37015 <at> debbugs.gnu.org; Tue, 13 Aug 2019 07:05:33 -0400
Received: by mail-qk1-f170.google.com with SMTP id r6so79327582qkc.0
 for <37015 <at> debbugs.gnu.org>; Tue, 13 Aug 2019 04:05:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=3WxByhlpJbm47NYKSQnD28BW2o4t8EM9uGieDjbeqSA=;
 b=BRcJtntebElRr8EmWgq498F4nTL/60rjZLVJy20Mib8MZO16OD/W0anGVn5frMj73v
 zDmbw5OsEGE/KBp2bmpj5K29vZdQai1nOnsGcEj0vPXGU5VL7kJIDT/O9opO5s3VBWYS
 885ZC+R/P2VQJOxoWaZQSfRkezIGrcEne/dCPtQr2sQ6A+R7X7Ca0PsDeI9STonQ+VdJ
 dc8K+fdkNxcbi1gsKuQc3bmfrdNnlgckc6mGcJulmwOXCAr2xAqX9M+cazH8znZNM98/
 aIsfHTh6J8zjDiwdHUE8xlf5MCWAIWWveGK1PBnyK4W20qjFimpunLZJTtuoKAqIgsCJ
 QZGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=3WxByhlpJbm47NYKSQnD28BW2o4t8EM9uGieDjbeqSA=;
 b=QdOAMPJ/6YGhdaQRmwfUNv6dJ3cv3Ezb24KNrJyslovJ7vFDKSHL01hMICASUc9l0e
 bSBdHg2bEBu9I1uGxQm0JJQMN28mycwfxfOi4B2/DdxxhW51jkcRh40XjLNLNOpezE+1
 A1gwzn1goIzgQjKTq0evhy9DiEOcOX3USLjdx86kqiZ7xLIYKWnnIGT3wV6vgAe01QL0
 yyokgJB3NEZ82nomTsu+A9HROWKkRji/E1C57zXWFhlwBtFpKgk+8Rl9n6IDesiqUQyw
 2tZ3BfiIMy/v9J4KqmDNMTOLjq0GCpLdZpCI29+fOM1GTbQh3KF4evrK+p5tlETdUxoJ
 mS2A==
X-Gm-Message-State: APjAAAXZwmrE/3Vt+CNRlnbakFGUfBfXcNRQBMrIlw6X5n3P4HQc8KXi
 0wcIt8nP9+Tz95DmanQcUG1rbe+J
X-Google-Smtp-Source: APXvYqzl5uGgpT2tMhXZ3x7ad3W0JdA+4x2MgWWr9p/ev7suErlwHvQJ2eIcLlPFTuuSm66JJ9B3Jw==
X-Received: by 2002:a05:620a:16a4:: with SMTP id
 s4mr16156794qkj.62.1565694327018; 
 Tue, 13 Aug 2019 04:05:27 -0700 (PDT)
Received: from [192.168.1.4] (ool-44c12231.dyn.optonline.net. [68.193.34.49])
 by smtp.gmail.com with ESMTPSA id
 o127sm5256808qkd.104.2019.08.13.04.05.25
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 13 Aug 2019 04:05:25 -0700 (PDT)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (1.0)
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
From: Robert Weiner <rswgnu@HIDDEN>
X-Mailer: iPhone Mail (16E227)
In-Reply-To: <20190813075026.GB23129@HIDDEN>
Date: Tue, 13 Aug 2019 07:05:24 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <D673C1C2-773B-433B-B6C8-9720C573DAE8@HIDDEN>
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
 <20190813075026.GB23129@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 37015
Cc: 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

Oh, okay, the way you wrote it at first, I was looking for a function by tha=
t name but now I understand you probably grabbed it from the help display.  J=
ust mention action type, hact or actypes in the future and I will know what y=
ou mean.  Will look into it.  Thanks.

-- Bob

> On Aug 13, 2019, at 3:50 AM, Jean Louis <bugs@HIDDEN> wrote:
>=20
> * Robert Weiner <rsw@HIDDEN> [2019-08-13 04:12]:
>>> On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
>>>=20
>>> I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
>>> toolkit, Xaw3d scroll bars)
>>>=20
>>>        Hyperbole:   7.0.3a
>>>        Sys Type:    x86_64-pc-linux-gnu
>>>        OS Type:     gnu/linux
>>>        Window Sys:  x
>>>        News Reader: Gnus v5.13
>>>=20
>>> Making completion list...
>>>=20
>>=20
>> Not sure where that is coming from above.
>>=20
>>> <(Read)> executes (man-show grep)
>>>=20
>>=20
>> Where is man-show defined.  I don't have it in Emacs 26.  Using the same
>> Emacs version as you but under MacOS.
>=20
> It is in Hyperbola 7.0.3 I guess, also 7.0.3a I guess only, as I
> removed 7.0.3a for a while, will get it later again.
>=20
> (defact man-show (topic)
>  "Displays man page on TOPIC, which may be of the form <command>(<section>=
).
> If using the Superman manual entry package, see the documentation for
> `sm-notify' to control where the man page is displayed."
>  (interactive "sManual topic: ")
>  (let ((display-buffer-function
>     (lambda (buffer &rest unused) (hpath:display-buffer buffer))))
>    (manual-entry topic)))
>=20
>> Invoking man grep in the background
>>> if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
>>> unspecified-bg
>>> Unable to load color unspecified-fg
>>> car: Variable binding depth exceeds max-specpdl-size
>>> next-line: End of buffer
>>>=20
>>> Seems like you have loaded something outside of Hyperbole that has cause=
d
>> an infinite loop, maybe improperly overloading a standard man function.
>>=20
>> Try starting with no initializations and then loading Hyperbole manually.=

>=20
> I have tried with emacs -Q on version 7.0.3 and I get the same. I do
> not load nothing else but (package-initialize) and (require
> 'hyperbole)
>=20
> For information about GNU Emacs and the GNU system, type C-h C-a.
> C-x C-g is undefined
> nil
> Initializing Hyperbole...done
> Hyperbole 7.0.3 is ready for action.
> hyperbole
> (New file) [2 times]
> <(Read manual)> executes (man-show "mc")
> Saving file /home/data1/protected/new1.text...
> Saving file /home/data1/protected/.hypb...
> Wrote /home/data1/protected/.hypb
> Wrote /home/data1/protected/new1.text
> Waiting for git... [2 times]
> Invoking man mc in the background
> switch-to-buffer-other-window: Variable binding depth exceeds max-specpdl-=
size
>=20




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 13 Aug 2019 07:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 13 03:50:36 2019
Received: from localhost ([127.0.0.1]:47664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxRZk-000309-F7
	for submit <at> debbugs.gnu.org; Tue, 13 Aug 2019 03:50:36 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:58113)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hxRZj-0002zt-Ay
 for 37015 <at> debbugs.gnu.org; Tue, 13 Aug 2019 03:50:35 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.186])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 0000000000070243.000000005D526BC4.00004EBB; Tue, 13 Aug 2019 00:50:28 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C18DE.000000005D526BC3.00005C67; Tue, 13 Aug 2019 09:50:27 +0200
Date: Tue, 13 Aug 2019 09:50:27 +0200
From: Jean Louis <bugs@HIDDEN>
To: rswgnu@HIDDEN
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
Message-ID: <20190813075026.GB23129@HIDDEN>
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37015
Cc: 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Robert Weiner <rsw@HIDDEN> [2019-08-13 04:12]:
> On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
> 
> > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > toolkit, Xaw3d scroll bars)
> >
> >         Hyperbole:   7.0.3a
> >         Sys Type:    x86_64-pc-linux-gnu
> >         OS Type:     gnu/linux
> >         Window Sys:  x
> >         News Reader: Gnus v5.13
> >
> > Making completion list...
> >
> 
> Not sure where that is coming from above.
> 
> > <(Read)> executes (man-show grep)
> >
> 
> Where is man-show defined.  I don't have it in Emacs 26.  Using the same
> Emacs version as you but under MacOS.

It is in Hyperbola 7.0.3 I guess, also 7.0.3a I guess only, as I
removed 7.0.3a for a while, will get it later again.

(defact man-show (topic)
  "Displays man page on TOPIC, which may be of the form <command>(<section>).
If using the Superman manual entry package, see the documentation for
`sm-notify' to control where the man page is displayed."
  (interactive "sManual topic: ")
  (let ((display-buffer-function
	 (lambda (buffer &rest unused) (hpath:display-buffer buffer))))
    (manual-entry topic)))

> Invoking man grep in the background
> > if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
> > unspecified-bg
> > Unable to load color unspecified-fg
> > car: Variable binding depth exceeds max-specpdl-size
> > next-line: End of buffer
> >
> > Seems like you have loaded something outside of Hyperbole that has caused
> an infinite loop, maybe improperly overloading a standard man function.
> 
> Try starting with no initializations and then loading Hyperbole manually.

I have tried with emacs -Q on version 7.0.3 and I get the same. I do
not load nothing else but (package-initialize) and (require
'hyperbole)

For information about GNU Emacs and the GNU system, type C-h C-a.
C-x C-g is undefined
nil
Initializing Hyperbole...done
Hyperbole 7.0.3 is ready for action.
hyperbole
(New file) [2 times]
<(Read manual)> executes (man-show "mc")
Saving file /home/data1/protected/new1.text...
Saving file /home/data1/protected/.hypb...
Wrote /home/data1/protected/.hypb
Wrote /home/data1/protected/new1.text
Waiting for git... [2 times]
Invoking man mc in the background
switch-to-buffer-other-window: Variable binding depth exceeds max-specpdl-size





Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 13 Aug 2019 02:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 22:28:46 2019
Received: from localhost ([127.0.0.1]:47553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxMYI-0002uC-0s
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:28:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1hxMYG-0002u0-66
 for 37015 <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:28:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59921)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rsw@HIDDEN>)
 id 1hxMYB-0004C7-2d
 for 37015 <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:28:39 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:45173)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1hxMYA-0005vU-BX
 for 37015 <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:28:38 -0400
Received: by mail-lf1-f47.google.com with SMTP id a30so12590258lfk.12
 for <37015 <at> debbugs.gnu.org>; Mon, 12 Aug 2019 19:28:38 -0700 (PDT)
X-Gm-Message-State: APjAAAXHNJH48c99df9+HZlGv+ldT27KmvW7DaP3MdXSMPRmeCJn8rsJ
 XCo70c+EWQsx0zNT6+azLJ3mPnURAN+b6q319PA=
X-Google-Smtp-Source: APXvYqyw1EN2vmO9RKaUXa3u6iN7KdnTXLVi1oyFogeOsytcZKLjjShhxHTwU8RHcKsyUOQ0BubSl1kZCSz0l87mDiA=
X-Received: by 2002:ac2:4ac4:: with SMTP id m4mr20848200lfp.172.1565663317097; 
 Mon, 12 Aug 2019 19:28:37 -0700 (PDT)
MIME-Version: 1.0
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
 <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
In-Reply-To: <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Mon, 12 Aug 2019 22:28:10 -0400
X-Gmail-Original-Message-ID: <CA+OMD9jtjF4f+vMDByFNfkRu_p7VyPzWS0NzhCAKZNK26uEnYA@HIDDEN>
Message-ID: <CA+OMD9jtjF4f+vMDByFNfkRu_p7VyPzWS0NzhCAKZNK26uEnYA@HIDDEN>
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000da8604058ff665f9"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 37015
Cc: 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000da8604058ff665f9
Content-Type: text/plain; charset="UTF-8"

I meant:

Where is man-show defined?  I don't have it in Emacs 27.  I am using the
same Emacs version as you but under MacOS.

On Mon, Aug 12, 2019 at 10:11 PM Robert Weiner <rsw@HIDDEN> wrote:

> On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:
>
>> I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
>> toolkit, Xaw3d scroll bars)
>>
>>         Hyperbole:   7.0.3a
>>         Sys Type:    x86_64-pc-linux-gnu
>>         OS Type:     gnu/linux
>>         Window Sys:  x
>>         News Reader: Gnus v5.13
>>
>> Making completion list...
>>
>
> Not sure where that is coming from above.
>
>> <(Read)> executes (man-show "grep")
>
>
> Invoking man grep in the background
>> if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
>> "unspecified-bg"
>> Unable to load color "unspecified-fg"
>> car: Variable binding depth exceeds max-specpdl-size
>> next-line: End of buffer
>>
>> Seems like you have loaded something outside of Hyperbole that has caused
> an infinite loop, maybe improperly overloading a standard man function.
>
> Try starting with no initializations and then loading Hyperbole manually.
>
> Bob
>

--000000000000da8604058ff665f9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:monospace,monospace">I meant:</div><div class=3D"gmail_default" st=
yle=3D"font-family:monospace,monospace"><br></div><div class=3D"gmail_defau=
lt" style=3D"font-family:monospace,monospace">Where is man-show defined?=C2=
=A0 I don&#39;t have it in Emacs 27.=C2=A0 I am using the same Emacs versio=
n as you but under MacOS.<br></div></div><br><div class=3D"gmail_quote"><di=
v dir=3D"ltr" class=3D"gmail_attr">On Mon, Aug 12, 2019 at 10:11 PM Robert =
Weiner &lt;<a href=3D"mailto:rsw@HIDDEN">rsw@HIDDEN</a>&gt; wrote:<br></d=
iv><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;bord=
er-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr"><div =
dir=3D"ltr"><div style=3D"font-family:monospace,monospace"><span style=3D"f=
ont-family:Arial,Helvetica,sans-serif">On Mon, Aug 12, 2019 at 6:16 PM Jean=
 Louis &lt;bugs@HIDDEN&gt; wrote:</span><br></div></div><div class=3D"=
gmail_quote"><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px =
0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">I use:=C2=A0=
 Editor:=C2=A0 =C2=A0 =C2=A0 GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gn=
u, X toolkit, Xaw3d scroll bars)<br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Hyperbole:=C2=A0 =C2=A07.0.3a<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Sys Type:=C2=A0 =C2=A0 x86_64-pc-linux-gnu<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 OS Type:=C2=A0 =C2=A0 =C2=A0gnu/linux<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Window Sys:=C2=A0 x<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 News Reader: Gnus v5.13<br>
<br>
Making completion list...<br></blockquote><div><br></div><div style=3D"font=
-family:monospace,monospace">Not sure where that is coming from above.</div=
><div style=3D"font-family:monospace,monospace"></div><blockquote class=3D"=
gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(20=
4,204,204);padding-left:1ex">
&lt;(Read)&gt; executes (man-show &quot;grep&quot;)</blockquote><div style=
=3D"font-family:monospace,monospace"><br></div><blockquote class=3D"gmail_q=
uote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,2=
04);padding-left:1ex">
Invoking man grep in the background<br>
if: Variable binding depth exceeds max-specpdl-sizeUnable to load color &qu=
ot;unspecified-bg&quot;<br>
Unable to load color &quot;unspecified-fg&quot;<br>
car: Variable binding depth exceeds max-specpdl-size<br>
next-line: End of buffer<br>
<br></blockquote><div><span class=3D"gmail_default" style=3D"font-family:mo=
nospace,monospace">Seems like you have loaded something outside of Hyperbol=
e that has caused an infinite loop, maybe improperly overloading a standard=
 man function.</span></div><div><span class=3D"gmail_default" style=3D"font=
-family:monospace,monospace"><br></span></div><div><span class=3D"gmail_def=
ault" style=3D"font-family:monospace,monospace">Try starting with no initia=
lizations and then loading Hyperbole manually.</span></div><div><span class=
=3D"gmail_default" style=3D"font-family:monospace,monospace"><br></span></d=
iv><div><span class=3D"gmail_default" style=3D"font-family:monospace,monosp=
ace">Bob</span></div><div><span class=3D"gmail_default" style=3D"font-famil=
y:monospace,monospace"></span></div></div></div>
</blockquote></div></div>

--000000000000da8604058ff665f9--




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at 37015 <at> debbugs.gnu.org:


Received: (at 37015) by debbugs.gnu.org; 13 Aug 2019 02:12:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 22:12:00 2019
Received: from localhost ([127.0.0.1]:47527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxMI3-0002RF-07
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:11:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1hxMI1-0002R2-H5
 for 37015 <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:11:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59764)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rsw@HIDDEN>)
 id 1hxMHw-0007LM-CY
 for 37015 <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:11:52 -0400
Received: from mail-lj1-f177.google.com ([209.85.208.177]:42882)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1hxMHu-0005pP-RC
 for 37015 <at> debbugs.gnu.org; Mon, 12 Aug 2019 22:11:51 -0400
Received: by mail-lj1-f177.google.com with SMTP id 15so8312729ljr.9
 for <37015 <at> debbugs.gnu.org>; Mon, 12 Aug 2019 19:11:50 -0700 (PDT)
X-Gm-Message-State: APjAAAXaY5e51ywydjfXk1lRNXHK5IHNe+1z1YKDnXkVCFAgAQZfQQ/2
 71iAKY5bnA+Fq3ev3iK+kqT8qdU7F6AhTtWzV5U=
X-Google-Smtp-Source: APXvYqzRTRr39Qp2CO2FRVfA+m3jM24Xcvzo6JFPvuJYVbjEAmtq9xVwCXD89TX8oLDzlgFk/lAlYuy7bQqQZtg9374=
X-Received: by 2002:a2e:7408:: with SMTP id p8mr87360ljc.59.1565662309478;
 Mon, 12 Aug 2019 19:11:49 -0700 (PDT)
MIME-Version: 1.0
References: <courier.000000005D51E4F3.00001C05@HIDDEN>
In-Reply-To: <courier.000000005D51E4F3.00001C05@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Mon, 12 Aug 2019 22:11:23 -0400
X-Gmail-Original-Message-ID: <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
Message-ID: <CA+OMD9j3yXvcvS4pbAA-ML0dV_idt4-HjtS84TJ0UXbZPApccw@HIDDEN>
Subject: Re: bug#37015: man link gives me car: Variable binding depth exceeds
 max-specpdl-size
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000cb767d058ff629f4"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 37015
Cc: 37015 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000cb767d058ff629f4
Content-Type: text/plain; charset="UTF-8"

On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <bugs@HIDDEN> wrote:

> I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> toolkit, Xaw3d scroll bars)
>
>         Hyperbole:   7.0.3a
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
> Making completion list...
>

Not sure where that is coming from above.

> <(Read)> executes (man-show "grep")
>

Where is man-show defined.  I don't have it in Emacs 26.  Using the same
Emacs version as you but under MacOS.

Invoking man grep in the background
> if: Variable binding depth exceeds max-specpdl-sizeUnable to load color
> "unspecified-bg"
> Unable to load color "unspecified-fg"
> car: Variable binding depth exceeds max-specpdl-size
> next-line: End of buffer
>
> Seems like you have loaded something outside of Hyperbole that has caused
an infinite loop, maybe improperly overloading a standard man function.

Try starting with no initializations and then loading Hyperbole manually.

Bob

--000000000000cb767d058ff629f4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:monospace,monospace"><span style=3D"font-family:Arial,Helvetica,sa=
ns-serif">On Mon, Aug 12, 2019 at 6:16 PM Jean Louis &lt;bugs@HIDDEN&g=
t; wrote:</span><br></div></div><div class=3D"gmail_quote"><blockquote clas=
s=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid r=
gb(204,204,204);padding-left:1ex">I use:=C2=A0 Editor:=C2=A0 =C2=A0 =C2=A0 =
GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll ba=
rs)<br>
<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Hyperbole:=C2=A0 =C2=A07.0.3a<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Sys Type:=C2=A0 =C2=A0 x86_64-pc-linux-gnu<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 OS Type:=C2=A0 =C2=A0 =C2=A0gnu/linux<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 Window Sys:=C2=A0 x<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 News Reader: Gnus v5.13<br>
<br>
Making completion list...<br></blockquote><div><br></div><div class=3D"gmai=
l_default" style=3D"font-family:monospace,monospace">Not sure where that is=
 coming from above.</div><div class=3D"gmail_default" style=3D"font-family:=
monospace,monospace"></div><blockquote class=3D"gmail_quote" style=3D"margi=
n:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex=
">
&lt;(Read)&gt; executes (man-show &quot;grep&quot;)<br></blockquote><div><b=
r></div><div class=3D"gmail_default" style=3D"font-family:monospace,monospa=
ce">Where is man-show defined.=C2=A0 I don&#39;t have it in Emacs 26.=C2=A0=
 Using the same Emacs version as you but under MacOS.</div><div class=3D"gm=
ail_default" style=3D"font-family:monospace,monospace"><br></div><blockquot=
e class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px s=
olid rgb(204,204,204);padding-left:1ex">
Invoking man grep in the background<br>
if: Variable binding depth exceeds max-specpdl-sizeUnable to load color &qu=
ot;unspecified-bg&quot;<br>
Unable to load color &quot;unspecified-fg&quot;<br>
car: Variable binding depth exceeds max-specpdl-size<br>
next-line: End of buffer<br>
<br></blockquote><div><span class=3D"gmail_default" style=3D"font-family:mo=
nospace,monospace">Seems like you have loaded something outside of Hyperbol=
e that has caused an infinite loop, maybe improperly overloading a standard=
 man function.</span></div><div><span class=3D"gmail_default" style=3D"font=
-family:monospace,monospace"><br></span></div><div><span class=3D"gmail_def=
ault" style=3D"font-family:monospace,monospace">Try starting with no initia=
lizations and then loading Hyperbole manually.</span></div><div><span class=
=3D"gmail_default" style=3D"font-family:monospace,monospace"><br></span></d=
iv><div><span class=3D"gmail_default" style=3D"font-family:monospace,monosp=
ace">Bob</span></div><div><span class=3D"gmail_default" style=3D"font-famil=
y:monospace,monospace"></span></div></div></div>

--000000000000cb767d058ff629f4--




Information forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Aug 2019 22:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 18:15:22 2019
Received: from localhost ([127.0.0.1]:47505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxIb4-0004wA-IQ
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 18:15:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:45839)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1hxIb3-0004w3-JK
 for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 18:15:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51651)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <admin@HIDDEN>) id 1hxIb2-0004ub-Oz
 for bug-hyperbole@HIDDEN; Mon, 12 Aug 2019 18:15:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <admin@HIDDEN>) id 1hxIb1-0006WA-RQ
 for bug-hyperbole@HIDDEN; Mon, 12 Aug 2019 18:15:20 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:45227)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <admin@HIDDEN>)
 id 1hxIb1-0006U3-KL
 for bug-hyperbole@HIDDEN; Mon, 12 Aug 2019 18:15:19 -0400
Received: from protected.rcdrun.com ([::ffff:31.223.149.236])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000007022C.000000005D51E4F5.0000252A; Mon, 12 Aug 2019 15:15:17 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000C18DE.000000005D51E4F3.00001C05; Tue, 13 Aug 2019 00:15:15 +0200
From: Jean Louis <bugs@HIDDEN>
To: bug-hyperbole@HIDDEN
Subject: man link gives me car: Variable binding depth exceeds max-specpdl-size
Message-ID: <courier.000000005D51E4F3.00001C05@HIDDEN>
Date: Tue, 13 Aug 2019 00:15:15 +0200
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 217.170.207.13
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)

        Hyperbole:   7.0.3a
        Sys Type:    x86_64-pc-linux-gnu
        OS Type:     gnu/linux
        Window Sys:  x
        News Reader: Gnus v5.13

Making completion list...
<(Read)> executes (man-show "grep")
Invoking man grep in the background
if: Variable binding depth exceeds max-specpdl-sizeUnable to load color "unspecified-bg"
Unable to load color "unspecified-fg"
car: Variable binding depth exceeds max-specpdl-size
next-line: End of buffer





Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-hyperbole@HIDDEN. Full text available.
Report forwarded to bug-hyperbole@HIDDEN:
bug#37015; Package hyperbole. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Aug 2019 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.